main {
    display: grid;
    grid-gap: 10px;
    grid-template-columns: repeat(7, 1fr);
    max-width: 300px;
    margin: auto;
    justify-content: center;
}

figure,
figure img {
    display: inline-block;
    width: 120px;
    border-radius: 5px;
}

figure {
    position: relative;
    transition: all ease .5s;
    transform-style: preserve-3d;
    transform: perspective(600px) rotateY(0deg);
    cursor: pointer;
    box-shadow: 3px 3px 16px rgb(0, 0, 0, 0.6);
}

figure::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    display: inline-block;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0);
    transition: 0.3s all ease;
}

figure:hover:after {
    background: rgba(255, 255, 255, 0.137);
}

figure.opened {
    transform: perspective(600px) rotateY(180deg);
}

figure .back {
    display: block;
    backface-visibility: hidden;
}

figure .searched-image {
    position: absolute;
    top: 0;
    transform: perspective(600px) rotateY(180deg);
    backface-visibility: hidden;
    height: 100%;
    overflow: hidden;
}
@media only screen and (min-width:350px) and (max-width:550px){
    main {
        display: grid;
        grid-gap: 10px;
        grid-template-columns: repeat(2, 1fr);
        max-width: 300px;
        margin: auto;
        justify-content: center;
    }
    
    figure,
    figure img {
        display: inline-block;
        width: 150px;
        border-radius: 5px;
    }
    
    figure {
        position: relative;
        transition: all ease .5s;
        transform-style: preserve-3d;
        transform: perspective(600px) rotateY(0deg);
        cursor: pointer;
        box-shadow: 3px 3px 16px rgb(0, 0, 0, 0.6);
    }
    
    figure::after {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        display: inline-block;
        width: 100%;
        height: 100%;
        background: rgba(255, 255, 255, 0);
        transition: 0.3s all ease;
    }
    
    figure:hover:after {
        background: rgba(255, 255, 255, 0.137);
    }
    
    figure.opened {
        transform: perspective(600px) rotateY(180deg);
    }
    
    figure .back {
        display: block;
        backface-visibility: hidden;
    }
    
    figure .searched-image {
        position: absolute;
        top: 0;
        transform: perspective(600px) rotateY(180deg);
        backface-visibility: hidden;
        height: 100%;
        overflow: hidden;
    }
}